=== debian/changelog ===
logiops (0.2.2-2) unstable; urgency=medium

  * [10ba78c] Install TESTED.md into /usr/share/docs.
    Thanks Norbert Kiesel (Closes: #984836)
  * [6e39e49] Patch to fix missing #include for std::this_thread::sleep_for
    (Closes: #997234)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Mar 2021 10:32:20 +0800

logiops (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #983164)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 20 Feb 2021 18:27:06 +0800
