=== debian/control ===
Source: logiops
Section: misc
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               dh-exec,
               libevdev-dev,
               libudev-dev,
               libconfig++-dev,
               systemd
Standards-Version: 4.5.0
Homepage: https://github.com/PixlOne/logiops
Vcs-Browser: https://salsa.debian.org/debian/logiops
Vcs-Git: https://salsa.debian.org/debian/logiops.git
Rules-Requires-Root: no

Package: logiops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Configuration utility for Logitech mice and keyboards
 logiops is a configuration utility (similar to Logitech Control Center and
 Solaar) for Logitech mice and keyboards. Unlike Solaar, it does not support
 management of the Unifying Receiver, but only HID++ 2.0+ devices. Known
 supported models are:
  - MX Master 3
  - MX Master 2S
  - MX Master
  - MX Vertical
  - MX Ergo
  - M720
  - M590
  - T400
