## logiops 0.2.3

=== src/logid/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
         features/HiresScroll.cpp
         features/RemapButton.cpp
         features/DeviceStatus.cpp
+        features/ThumbWheel.cpp
         actions/Action.cpp
         actions/NullAction.cpp
         actions/KeypressAction.cpp
@@ -32,6 +33,7 @@
         actions/ChangeHostAction.cpp
         actions/gesture/Gesture.cpp
         actions/gesture/ReleaseGesture.cpp
+        actions/gesture/ThresholdGesture.cpp
         actions/gesture/IntervalGesture.cpp
         actions/gesture/AxisGesture.cpp
         actions/gesture/NullGesture.cpp
@@ -59,6 +61,7 @@
         backend/hidpp20/features/HiresScroll.cpp
         backend/hidpp20/features/ChangeHost.cpp
         backend/hidpp20/features/WirelessDeviceStatus.cpp
+        backend/hidpp20/features/ThumbWheel.cpp
         backend/dj/Report.cpp
         util/mutex_queue.h
         util/workqueue.cpp
