=== debian/changelog ===
logiops (0.2.3-1) unstable; urgency=medium

  * [71c101e] Drop uupdate from debian/watch
  * [8ad709b] New upstream version 0.2.3
    - Fixes issue with mouse mapping in newer systemd versions
      (Closes: #1010156)
  * [e58d734] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 28 Apr 2022 16:42:52 +0800
