=== debian/watch ===
--- 
+++ 
@@ -10,4 +10,4 @@
  GitHub hosted projects
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
    https://github.com/PixlOne/logiops/tags \
-   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
+   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
