=== debian/changelog ===
logiops (0.3.1-1) unstable; urgency=medium

  * [be64a76] Build-dep on git
  * [70b745c] Update watch file to use CI-uploaded release tarball
  * [c75c180] New upstream version 0.3.1
  * [007e901] Build-dep on libglib2.0-dev
  * [c514d55] Fix up autopkgtests

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 May 2023 17:25:18 +0800

logiops (0.3.0-1) UNRELEASED; urgency=medium

  * [72b779c] Fix accidentally uncommented line in watch file
  * [9d3beb3] New upstream version 0.3.0
  * [901fda4] Add autopkgtests
  * [1fc3023] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 04 May 2023 11:02:18 +0800
