=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                dh-exec,
+               git,
                libevdev-dev,
+               libglib2.0-dev,
                libudev-dev,
                libconfig++-dev,
                systemd
