=== debian/tests/control ===
Tests: check-logid
Depends: @, dbus | dbus-system-bus
Restrictions: needs-root, allow-stderr
