## logiops 0.3.2

=== debian/changelog ===
logiops (0.3.2-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 19 Jun 2023 14:37:55 +0800

logiops (0.3.2-1) experimental; urgency=medium

  * [164e5de] New upstream version 0.3.2
  * [ee14f8c] Refresh patches
  * [9c4d612] Simplify autopkgtests
    logid won't launch without access to /dev/uinput, so it's impossible to do
    the no-crash test

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 May 2023 17:45:11 +0800
