=== debian/changelog ===
logiops (0.3.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:17 +1100

logiops (0.3.3-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:34:28 +0000

logiops (0.3.3-2) unstable; urgency=medium

  * [edacf94] Change systemd build-dep to systemd-dev
    systemd.pc has been split out into the systemd-dev package
    (Closes: #1060616)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 16 Jan 2024 18:10:02 +0800

logiops (0.3.3-1) unstable; urgency=medium

  * [631ab91] New upstream version 0.3.3

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 17 Jul 2023 15:18:45 +0800
