=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: logiops
 Section: misc
 Priority: optional
-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                dh-exec,
@@ -10,7 +11,7 @@
                libglib2.0-dev,
                libudev-dev,
                libconfig++-dev,
-               systemd
+               systemd-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/PixlOne/logiops
 Vcs-Browser: https://salsa.debian.org/debian/logiops
