=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"


# GitHub hosted projects
opts="searchmode=plain" \
   https://api.github.com/repos/PixlOne/logiops/releases \
   https://github.com/PixlOne/logiops/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@\.tar\.gz debian
