## logiops 0.3.4

=== debian/changelog ===
logiops (0.3.4-1) unstable; urgency=medium

  * [8b24779] New upstream version 0.3.4

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Jun 2024 22:14:08 +0800
