=== debian/changelog ===
logiops (0.3.5-1build1) plucky; urgency=medium

  * No-change rebuild for libconfig11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 27 Jan 2025 19:46:34 +0000

logiops (0.3.5-1) unstable; urgency=medium

  * [ce44b46] New upstream version 0.3.5
    - Fix CVE-2024-45752 (Closes: #1082378)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 01 Oct 2024 12:43:13 +0800
