=== debian/tests/control ===
Tests: check-logid
Depends: @
